VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Properties
VisiMath.Geometry.IndexedGeo Class Reference

Geometry object using list of vertices and several sets of indices to specify primitive. EVERY operation is working only on the current selected subset! More...

Inheritance diagram for VisiMath.Geometry.IndexedGeo:

List of all members.

## Public Member Functions
override IVertex | GetVertex (int index)
| Returns vertex pointed to by index in current indices.
void | SetVertex (int index, IVertex ver)
override void | GetPosition (int index, out Vector3 vec)
| Returns positional vector pointed to by index in current indices.
| IndexedGeo (System.Xml.XmlReader reader)
| XML reader constructor.
| IndexedGeo (IndexedGeo source)
| Copy constructor.
| IndexedGeo (int vertexcount, int indexcount)
| Creates indexed geo with default vertex format, with specified number of vertices, one subset with selected number of indices.
| IndexedGeo (int vertexcount, int indexsets, int[] indexcounts)
| Creates indexed geo with default vertex format, with specified number of vertices, specified number of subset with selected number of indices.
| IndexedGeo (Type vertextype, int vertexcount, int indexcount)
| Creates indexed geo of specified format, with specified number of vertices, one subset and specified number of indices.
| IndexedGeo (Type vertextype, int vertexcount, int indexsets, int[] indexcounts)
| Creates indexed geo of specified format, with specified number of vertices, specified number of subsets and specified number of indices.
| IndexedGeo (IVertexArray source, int indexcount)
| Creates indexed geo from array of vertices one subset and specified number of indices.
| IndexedGeo (IVertexArray source, int indexsets, int[] indexcounts)
| Creates indexed geo from array of vertices specified number of subsets and specified number of indices.
| IndexedGeo (IVertexArray source, int[] indices)
| Creates indexed geo from array of vertices specified with one subset of specified indices.
| IndexedGeo (IVertexArray source, int[][] indices)
| Creates indexed geo from array of vertices and from indices.
override void | ReadXml (System.Xml.XmlReader reader)
| Deserializes object from XML.
override void | WriteXml (System.Xml.XmlWriter writer)
| Serializes object to XML.
## Public Attributes
int[][] | Indices
| All indices of the geometry.
## Protected Member Functions
void | ConstructIndices (int indexcount)
| Constructs indices.
void | ConstructIndices (int indexsets, int[] indexcounts)
| Constructs indices.
int[] | ReadSubset (System.Xml.XmlReader reader)
| Reads one subset of the mesh from the XML.
## Protected Attributes
int | _currentSubset
| Currently selected subset.
## Properties
abstract PrimitiveTypes | MeshType`[get]`
| Type of the mesh.
abstract int | IndicesPerElement`[get]`
| Number of indices per one element.
int | CurrentSubset`[get, set]`
| Gets or sets current subset in case there are more.
int | SubsetCount`[get]`
| Returns number of subsets in indexed geo.
int[] | CurrentIndices`[get]`
| Returns current indices.

## Detailed Description

Geometry object using list of vertices and several sets of indices to specify primitive. EVERY operation is working only on the current selected subset!

## Constructor & Destructor Documentation

VisiMath.Geometry.IndexedGeo.IndexedGeo | ( | System.Xml.XmlReader | reader | ) |

XML reader constructor.

Parameters:

  reader | XML reader

VisiMath.Geometry.IndexedGeo.IndexedGeo | ( | IndexedGeo | source | ) |

Copy constructor.

Parameters:

  source | Source geometry

VisiMath.Geometry.IndexedGeo.IndexedGeo | ( | int | vertexcount,
|  | int | indexcount
| ) |  |

Creates indexed geo with default vertex format, with specified number of vertices, one subset with selected number of indices.

Parameters:

  vertexcount | Number of vertices
  indexcount | Number of indices

VisiMath.Geometry.IndexedGeo.IndexedGeo | ( | int | vertexcount,
|  | int | indexsets,
|  | int[] | indexcounts
| ) |  |

Creates indexed geo with default vertex format, with specified number of vertices, specified number of subset with selected number of indices.

Parameters:

  vertexcount | Number of vertices
  indexsets | Number of subsets
  indexcounts | Array with length of all subsets

VisiMath.Geometry.IndexedGeo.IndexedGeo | ( | Type | vertextype,
|  | int | vertexcount,
|  | int | indexcount
| ) |  |

Creates indexed geo of specified format, with specified number of vertices, one subset and specified number of indices.

Parameters:

  vertextype | Type of vertex (must be IVertex)
  vertexcount | Number of vertices
  indexcount | Number of indices

VisiMath.Geometry.IndexedGeo.IndexedGeo | ( | Type | vertextype,
|  | int | vertexcount,
|  | int | indexsets,
|  | int[] | indexcounts
| ) |  |

Creates indexed geo of specified format, with specified number of vertices, specified number of subsets and specified number of indices.

Parameters:

  vertextype | Type of vertex (must be IVertex)
  vertexcount | Number of vertices
  indexsets | Number of subsets
  indexcounts | Array with length of all subsets

VisiMath.Geometry.IndexedGeo.IndexedGeo | ( | IVertexArray | source,
|  | int | indexcount
| ) |  |

Creates indexed geo from array of vertices one subset and specified number of indices.

Parameters:

  source | Source vertex array
  indexcount | number of vertices

VisiMath.Geometry.IndexedGeo.IndexedGeo | ( | IVertexArray | source,
|  | int | indexsets,
|  | int[] | indexcounts
| ) |  |

Creates indexed geo from array of vertices specified number of subsets and specified number of indices.

Parameters:

  source | Source vertex array
  indexsets | Number of subsets
  indexcounts | Array with length of all subsets

VisiMath.Geometry.IndexedGeo.IndexedGeo | ( | IVertexArray | source,
|  | int[] | indices
| ) |  |

Creates indexed geo from array of vertices specified with one subset of specified indices.

Parameters:

  source | Source vertex array
  indices | Array with indices

VisiMath.Geometry.IndexedGeo.IndexedGeo | ( | IVertexArray | source,
|  | int | indices[][]
| ) |  |

Creates indexed geo from array of vertices and from indices.

Parameters:

  source | Source vertex array
  indices | Array with indices

## Member Function Documentation

void VisiMath.Geometry.IndexedGeo.ConstructIndices | ( | int | indexcount | ) | `[protected]`

Constructs indices.

Parameters:

  indexcount | Number of indices

void VisiMath.Geometry.IndexedGeo.ConstructIndices | ( | int | indexsets,
|  | int[] | indexcounts
| ) |  | `[protected]`

Constructs indices.

param name="indexsets">Number of index sets

Parameters:

  indexcounts | Number of indices for all sets

override void VisiMath.Geometry.IndexedGeo.GetPosition | ( | int | index,
|  | out Vector3 | vec
| ) |  | `[virtual]`

Returns positional vector pointed to by index in current indices.

Parameters:

  index | Index of indice
  vec | Vector to save position

Reimplemented from VisiMath.Geometry.Geometry.

override IVertex VisiMath.Geometry.IndexedGeo.GetVertex | ( | int | index | ) | `[virtual]`

Returns vertex pointed to by index in current indices.

Parameters:

  index | Index of indice

Returns:
  Vertex

Reimplemented from VisiMath.Geometry.Geometry.

int [] VisiMath.Geometry.IndexedGeo.ReadSubset | ( | System.Xml.XmlReader | reader | ) | `[protected]`

Reads one subset of the mesh from the XML.

Parameters:

  reader | XML reader

Returns:
  Indices

override void VisiMath.Geometry.IndexedGeo.ReadXml | ( | System.Xml.XmlReader | reader | ) | `[virtual]`

Deserializes object from XML.

Parameters:

  reader | XML reader

Reimplemented from VisiMath.Geometry.Geometry.

Reimplemented in VisiMath.Geometry.Ring.

void VisiMath.Geometry.IndexedGeo.SetVertex | ( | int | index,
|  | IVertex | ver
| ) |  |

override void VisiMath.Geometry.IndexedGeo.WriteXml | ( | System.Xml.XmlWriter | writer | ) | `[virtual]`

Serializes object to XML.

Parameters:

  writer | XML writer to save values

Reimplemented from VisiMath.Geometry.Geometry.

Reimplemented in VisiMath.Geometry.Ring.

## Member Data Documentation

int VisiMath.Geometry.IndexedGeo._currentSubset`[protected]`

Currently selected subset.

int [][] VisiMath.Geometry.IndexedGeo.Indices

All indices of the geometry.

## Property Documentation

int [] VisiMath.Geometry.IndexedGeo.CurrentIndices`[get]`

Returns current indices.

int VisiMath.Geometry.IndexedGeo.CurrentSubset`[get, set]`

Gets or sets current subset in case there are more.

abstract int VisiMath.Geometry.IndexedGeo.IndicesPerElement`[get]`

Number of indices per one element.

Reimplemented in VisiMath.Geometry.IndexedLines, VisiMath.Geometry.IndexedMesh, and VisiMath.Geometry.IndexedQuads.

abstract PrimitiveTypes VisiMath.Geometry.IndexedGeo.MeshType`[get]`

Type of the mesh.

Reimplemented in VisiMath.Geometry.IndexedLines, VisiMath.Geometry.IndexedMesh, and VisiMath.Geometry.IndexedQuads.

int VisiMath.Geometry.IndexedGeo.SubsetCount`[get]`

Returns number of subsets in indexed geo.

The documentation for this class was generated from the following file:

- IndexedGeo.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events